/**
 * @file   llfloaterreglistener.h
 * @author Nat Goodspeed
 * @date   2009-08-12
 * @brief  Wrap (subset of) LLFloaterReg API with an event API
 * 
 * $LicenseInfo:firstyear=2009&license=viewergpl$
 * 
 * Copyright (c) 2009-2010, Linden Research, Inc.
 * 
 * Second Life Viewer Source Code
 * The source code in this file ("Source Code") is provided by Linden Lab
 * to you under the terms of the GNU General Public License, version 2.0
 * ("GPL"), unless you have obtained a separate licensing agreement
 * ("Other License"), formally executed by you and Linden Lab.  Terms of
 * the GPL can be found in doc/GPL-license.txt in this distribution, or
 * online at http://secondlife.com/developers/opensource/gplv2
 * 
 * There are special exceptions to the terms and conditions of the GPL as
 * it is applied to this Source Code. View the full text of the exception
 * in the file doc/FLOSS-exception.txt in this software distribution, or
 * online at
 * http://secondlife.com/developers/opensource/flossexception
 * 
 * By copying, modifying or distributing this software, you acknowledge
 * that you have read and understood your obligations described above,
 * and agree to abide by those obligations.
 * 
 * ALL LINDEN LAB SOURCE CODE IS PROVIDED "AS IS." LINDEN LAB MAKES NO
 * WARRANTIES, EXPRESS, IMPLIED OR OTHERWISE, REGARDING ITS ACCURACY,
 * COMPLETENESS OR PERFORMANCE.
 * $/LicenseInfo$
 * 
 */

#if ! defined(LL_LLFLOATERREGLISTENER_H)
#define LL_LLFLOATERREGLISTENER_H

#include "lleventapi.h"
#include <string>

class LLSD;

/// Event API wrapper for LLFloaterReg
class LLFloaterRegListener: public LLEventAPI
{
public:
    /// As all public LLFloaterReg methods are static, there's no point in
    /// binding an LLFloaterReg instance.
    LLFloaterRegListener();

private:
    void getBuildMap(const LLSD& event) const;
    void showInstance(const LLSD& event) const;
    void hideInstance(const LLSD& event) const;
    void toggleInstance(const LLSD& event) const;
    void clickButton(const LLSD& event) const;
};

#endif /* ! defined(LL_LLFLOATERREGLISTENER_H) */
